VULKAN_HPP_NAMESPACE::DisplayKHR Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | DisplayKHR ()
VULKAN_HPP_CONSTEXPR | DisplayKHR (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | DisplayKHR (VkDisplayKHR displayKHR)
DisplayKHR & | operator= (std::nullptr_t)
bool | operator== (DisplayKHR const &rhs) const
bool | operator!= (DisplayKHR const &rhs) const
bool | operator< (DisplayKHR const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkDisplayKHR () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkDisplayKHR | m_displayKHR

## Detailed Description

Definition at line 4690 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DisplayKHR() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DisplayKHR::DisplayKHR | ( |  | ) |

inline

Definition at line 4693 of file vulkan.hpp.

: m_displayKHR(VK_NULL_HANDLE)
{}

## DisplayKHR() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DisplayKHR::DisplayKHR | ( | std::nullptr_t |  | ) |

inline

Definition at line 4697 of file vulkan.hpp.

: m_displayKHR(VK_NULL_HANDLE)
{}

## DisplayKHR() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DisplayKHR::DisplayKHR | ( | VkDisplayKHR | displayKHR | ) |

inline

Definition at line 4701 of file vulkan.hpp.

: m_displayKHR( displayKHR )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::DisplayKHR::operator bool | ( |  | ) | const

inline explicit

Definition at line 4741 of file vulkan.hpp.

{
return m_displayKHR != VK_NULL_HANDLE;
}

References m_displayKHR, and VK_NULL_HANDLE.

## operator VkDisplayKHR()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DisplayKHR::operator VkDisplayKHR | ( |  | ) | const

inline

Definition at line 4736 of file vulkan.hpp.

{
return m_displayKHR;
}

References m_displayKHR.

## operator!()

bool VULKAN_HPP_NAMESPACE::DisplayKHR::operator! | ( |  | ) | const

inline

Definition at line 4746 of file vulkan.hpp.

{
return m_displayKHR == VK_NULL_HANDLE;
}

References m_displayKHR, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::DisplayKHR::operator!= | ( | DisplayKHR const & | rhs | ) | const

inline

Definition at line 4724 of file vulkan.hpp.

{
return m_displayKHR != rhs.m_displayKHR;
}

References m_displayKHR.

## operator<()

bool VULKAN_HPP_NAMESPACE::DisplayKHR::operator< | ( | DisplayKHR const & | rhs | ) | const

inline

Definition at line 4729 of file vulkan.hpp.

{
return m_displayKHR < rhs.m_displayKHR;
}

References m_displayKHR.

## operator=()

DisplayKHR& VULKAN_HPP_NAMESPACE::DisplayKHR::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 4713 of file vulkan.hpp.

{
m_displayKHR = VK_NULL_HANDLE;
return *this;
}

References m_displayKHR, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::DisplayKHR::operator== | ( | DisplayKHR const & | rhs | ) | const

inline

Definition at line 4719 of file vulkan.hpp.

{
return m_displayKHR == rhs.m_displayKHR;
}

References m_displayKHR.

## Field Documentation

## m_displayKHR

VkDisplayKHR VULKAN_HPP_NAMESPACE::DisplayKHR::m_displayKHR

private

Definition at line 4752 of file vulkan.hpp.

Referenced by operator bool(), operator VkDisplayKHR(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DisplayKHR::m_displayKHR
VkDisplayKHR m_displayKHR
Definition: vulkan.hpp:4752
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49